Package org.eclipse.mat.snapshot

# Class UnreachableObjectsHistogram

java.lang.Object
org.eclipse.mat.snapshot.UnreachableObjectsHistogram

All Implemented Interfaces:
  `Serializable`, `IIconProvider`, `IResult`, `IResultTable`, `IStructuredResult`

public class UnreachableObjectsHistogram extends Object implements IResultTable, IIconProvider, Serializable
Summary information about objects discarded from the snapshot

Since:
  0.8
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`UnreachableObjectsHistogram.Record`
Holds details about the unreachable objects for objects of one particular

## Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`UnreachableObjectsHistogram(Collection<UnreachableObjectsHistogram.Record> records)`

## Method Summary

Modifier and Type
Method
Description
`Column[]`
`getColumns()`
The columns of the tree or table.
`Object`
`getColumnValue(Object row, int columnIndex)`
Returns the (unformatted) value of a table/tree cell.
`IContextObject`
`getContext(Object row)`
The default context of the row which is used to display information in the object inspector.
`URL`
`getIcon(Object row)`
`List<UnreachableObjectsHistogram.Record>`
`getRecords()`
`ResultMetaData`
`getResultMetaData()`
(Optionally) Return meta data of the result needed to fine-tune the display of the result.
`Object`
`getRow(int rowId)`
Returns the object of the row with the given row number.
`int`
`getRowCount()`
Returns the number of rows in the result table.
`void`
`setSnapshot(ISnapshot snapshot)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnreachableObjectsHistogram

public UnreachableObjectsHistogram(Collection<UnreachableObjectsHistogram.Record> records)

## Method Details

### getRecords

public List<UnreachableObjectsHistogram.Record> getRecords()

### getResultMetaData

public ResultMetaData getResultMetaData()
Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

### getColumns

public Column[] getColumns()
Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`
Returns:
  an array of all the columns

### getRowCount

public int getRowCount()
Description copied from interface: `IResultTable`
Returns the number of rows in the result table.

Specified by:
  `getRowCount` in interface `IResultTable`
Returns:
  the number of rows

### getRow

public Object getRow(int rowId)
Description copied from interface: `IResultTable`
Returns the object of the row with the given row number.

Specified by:
  `getRow` in interface `IResultTable`
Parameters:
  `rowId` - The row number.
Returns:
  an opaque row object representing this row which can be passed to `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

### getColumnValue

public Object getColumnValue(Object row, int columnIndex)
Description copied from interface: `IStructuredResult`
Returns the (unformatted) value of a table/tree cell.

Specified by:
  `getColumnValue` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.
Returns:
  the cell value

### getContext

public IContextObject getContext(Object row)
Description copied from interface: `IStructuredResult`
The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Specified by:
  `getContext` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a context object holding details about that row

### getIcon

public URL getIcon(Object row)

Specified by:
  `getIcon` in interface `IIconProvider`

### setSnapshot

public void setSnapshot(ISnapshot snapshot)

Since:
  1.0